<div>
  <div *ngFor="let data of FormData; let i = index">
    <div class="header_table" *ngIf="i > 0">
      <div class="title-role">
        <B>{{ data.role }}</B>
      </div>
    </div>
    <div class="table_main">
      <div class="header_table">
        <div class="text_header">
          ข้อมูลจากหน่วยงานที่เสนอเรื่อง : &nbsp;รายละเอียดกระบวนการทำงาน
        </div>
      </div>
    </div>
    <hr class="new4" />

    <div class="col-12" class="overflow-auto po_role">
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th rowspan="2" style="width: 250px; max-width: 250px;">
              กระบวนการหลัก
            </th>
            <th rowspan="2" *ngFor="let header of header_table" style="width: 250px; max-width: 250px;">
              {{ header }}
            </th>
            <th rowspan="2" colspan="2" style="width: 250px; max-width: 250px;">
              ระบุความเสี่ยง
            </th>
            <th rowspan="2" colspan="2" style="width: 250px; max-width: 250px;">
              การควบคุมความเสี่ยง (เดิม)
            </th>
            <th rowspan="2" colspan="2" style="width: 250px; max-width: 250px;">
              การควบคุมความเสี่ยง (เพิ่มเติม)
            </th>

            <th colspan="3" style="width: 750px; vertical-align: inherit; text-align: center;">
              สายงานบริหารความเสี่ยง
            </th>
            <th colspan="2" style="width: 500px; max-width: 500px; text-align: center;">
              หน่วยงานที่เสนอเรื่อง
            </th>
            <th colspan="3" style="width: 750px; max-width: 750px; text-align: center;">
              คณะกรรมการผลิตภัณฑ์
            </th>
          </tr>
          <tr>
            <th style="width: 200px; max-width: 250px; text-align: center;">
              ความเห็น
            </th>
            <th style="width: 250px; max-width: 250px; text-align: center;">
              ประเด็น
            </th>
            <th style="width: 250px; max-width: 250px; text-align: center;">
              แนวทางการจัดการ
            </th>
            <th style="width: 200px; max-width: 200px; text-align: center;">
              ความเห็น
            </th>
            <th style="width: 250px; max-width: 250px; text-align: center;">
              แนวทางจัดการ
            </th>
            <th style="width: 250px; max-width: 250px; text-align: center;">
              ความเห็น
            </th>
            <th style="width: 250px; max-width: 250px; text-align: center;">
              ความเห็นเพิ่มเติม
            </th>
            <th style="width: 250px; max-width: 250px; text-align: center;">
              ระบุประเด็นคงค้าง
            </th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of data.processConsiders; index as istep">
            <td style="width: 250px; max-width: 250px;">
              <div>
                {{ item.mainProcess }}
              </div>
            </td>
            <td colspan="20" class="pd-0" style="width: 100%;">
              <table class="table-proccess-data">
                <tr *ngFor="let detailItem of item.subProcess; index as isup">
                  <td class="td_main_po" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    {{ detailItem.subTitle }}
                  </td>

                  <td class="td_main_po" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    {{ detailItem.inOut }}
                  </td>

                  <td class="td_main_po" style="width: 230px !important;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    {{ detailItem.itRelate }}
                  </td>

                  <td colspan="10" class="pd-0 sub_three_drag" style="padding-bottom: 0;"
                    class="table-proccess-data sub-2">
                    <!-- ===================================================================================================== -->
                    <table>
                      <tr *ngFor="
                          let RiskItem of detailItem.subProcessRisk;
                          index as RiskIndex
                        ">
                        <td style="
                            width: 240px;
                            max-width: 240px;
                            text-align: left;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.risk }}
                        </td>

                        <td style="
                            width: 260px;
                            max-width: 260px;
                            text-align: left;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.riskControl }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: left;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.riskControlOther }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.remark }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.subject }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.management }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.poCommentRemark }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.poComment }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.pcComment }}
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.pcExtraComment }}

                          <!-- <input
                            type="text"
                            class="form-control"
                            placeholder="ระบุความเห็น"
                            [(ngModel)]="RiskItem.pcExtraComment"
                            (ngModelChange)="POcommentConsider()"
                          /> -->
                          <!-- {{RiskItem.poComment}} -->
                        </td>

                        <td style="
                            width: 250px;
                            max-width: 250px;
                            text-align: center;
                            border-bottom: none !important;
                          ">
                          {{ RiskItem.pcIssue }}

                          <!-- <select
                            class="form-control"
                            [(ngModel)]="RiskItem.pcIssue"
                            (ngModelChange)="changeSaveDraft()"
                          >
                            <option value="null" disabled
                              >เลือกระบุประเด็นคงค้าง</option
                            >
                            <option value="No">No</option>
                            <option value="Pending_1">Pending 1</option>
                            <option value="Pending_2">Pending 2</option>
                            <option value="Pending_3">Pending 3</option>
                            <option value="Pending_4">Pending 4</option>
                          </select> -->
                        </td>
                      </tr>
                    </table>
                  </td>
                  <!--==================================================================================== -->
                </tr>
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <br />
    <br />
    <br />
    <br />

    <div class="table_main" *ngIf="
        data.role === 'Risk-พนักงาน' ||
        data.role === 'Risk-ฝ่ายบริหารความเสี่ยงด้านเทคโนโลยีสารสนเทศ'
      ">
      <div class="header_table">
        <div class="text_header">
          ข้อมูลจากหน่วยงานที่เสนอเรื่อง : :
          &nbsp;ความพร้อมด้านเทคโนโลยีสารสนเทศ
        </div>

        <div class="btn_header"></div>
      </div>
    </div>
    <hr class="new4" *ngIf="
        data.role === 'Risk-พนักงาน' ||
        data.role === 'Risk-ฝ่ายบริหารความเสี่ยงด้านเทคโนโลยีสารสนเทศ'
      " />
    <br />

    <div class="col-12" class="overflow-auto">
      <table class="table-proccess table table-striped" style="border: 1px solid #fafafa;">
        <thead>
          <tr>
            <th class="text-nowrap" style="width: 300px; vertical-align: inherit;" rowspan="2">
              กระบวนการหลัก
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit;" rowspan="2">
              กระบวนการย่อย
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit;" rowspan="2">
              แนวทางการจัดการ
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;" rowspan="2">
              ผู้รับผิดชอบ
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit;" rowspan="2">
              กำหนดแล้วเสร็จ
            </th>
            <th class="text-nowrap" style="width: 750px; vertical-align: inherit; text-align: center;" colspan="3">
              สายงานบริหารความเสี่ยง
            </th>
            <th colspan="2" class="text-nowrap" style="width: 500px; vertical-align: inherit; text-align: center;">
              หน่วยงานที่เสนอเรื่อง
            </th>
            <th colspan="3" class="text-nowrap" style="width: 750px; vertical-align: inherit; text-align: center;">
              คณะกรรมการผลิตภัณฑ์
            </th>
          </tr>
          <tr>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              ความเห็น
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              ประเด็น
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              แนวทางการจัดการ
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              ความเห็น
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              แนวทางการจัดการ
            </th>

            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              ความเห็น
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              ความเห็นเพิ่มเติม
            </th>
            <th class="text-nowrap" style="width: 250px; vertical-align: inherit; text-align: center;">
              ระบุประเด็นคงค้าง
            </th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of data.readiness; index as istep">
            <td style="max-width: 300px; max-width: 300px;" [ngClass]="{
                td_single: istep % 2 !== 0,
                td_couple: istep % 2 === 0
              }">
              <div>
                {{ item.process }}
              </div>
              <ng-template #notStaticType>
                <!-- <input
                  type="text"
                  class="form-control"
                  placeholder="ระบุกระบวนการหลัก"
                  [(ngModel)]="item.mainProcess"
                /> -->
                {{ item.mainProcess }}

              </ng-template>
            </td>
            <td colspan="10" class="p-0">
              <table class="table-proccess-data">
                <tr *ngFor="let processItem of item.detail; index as isub">
                  <td style="width: 250px; max-width: 250px;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>{{ processItem.subProcess }}</span>
                  </td>
                  <td style="width: 250px; max-width: 250px;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>{{ processItem.management }}</span>
                  </td>
                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>{{ processItem.responsible }}</span>
                  </td>
                  <td style="width: 250px; max-width: 250px;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>{{ convertDatePC[isub].Convert }}</span>
                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>
                      {{ processItem.remark }}
                    </span>
                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>
                      {{ processItem.commentSubject }}
                    </span>
                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>
                      {{ processItem.commentManagement }}
                    </span>
                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>{{ processItem.poCommentRemark }}
                    </span>
                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <span>
                      {{ processItem.poComment }}</span>
                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <!-- <span>
                      <select
                        class="form-control"
                        [(ngModel)]="processItem.pcComment"
                      >
                        <option value="ยอมรับได้">ยอมรับได้</option>
                        <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                        <option value="null">ไม่ระบุข้อมูล</option>
                      </select>
                    </span> -->
                    {{ processItem.pcComment }}

                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <!-- <span>
                      <input
                        class="form-control"
                        [(ngModel)]="processItem.pcExtraComment"
                        placeholder="ระบุแนวทางการจัดการ"
                      />
                    </span> -->
                    {{ processItem.pcExtraComment }}

                  </td>

                  <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <!-- <span>
                      <select
                        class="form-control"
                        [(ngModel)]="processItem.pcIssue"
                        (ngModelChange)="changeSaveDraft()"
                      >
                        <option value="null" disabled
                          >เลือกระบุประเด็นคงค้าง</option
                        >
                        <option value="No">No</option>
                        <option value="Pending_1">Pending 1</option>
                        <option value="Pending_2">Pending 2</option>
                        <option value="Pending_3">Pending 3</option>
                        <option value="Pending_4">Pending 4</option>
                      </select></span
                    > -->
                    {{ processItem.pcIssue }}

                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </tbody>
      </table>
      <br />
      <br />
    </div>
    <br />
    <br />
    <div class="detail_other">
      <div class="header_other">
        <th>ความเห็นเพิ่มเติม</th>
      </div>
    </div>

    <hr style="
        height: 1px;
        background-color: rgb(223, 223, 223);
        border: 1px solid rgb(223, 223, 223);
      " />
    <br />
    <div class="remark_other">
      <table>
        <thead>
          <tr>
            <th colspan="2" class="one_th">สายงานบริหารความเสี่ยง</th>
            <th colspan="2" class="one_th">หน่วยงานที่นำเสนอ</th>
            <th colspan="3" class="one_th">
              คณะกรรมการผลิตภัณฑ์
            </th>
          </tr>
          <tr>
            <th style="width: 15%;">ประเด็น</th>
            <th style="width: 25%;">แนวทางการจัดการ</th>
            <th>ความเห็น</th>
            <th>แนวทางการจัดการ</th>
            <th>
              ความเห็น
            </th>
            <th>
              ความเห็นเพิ่มเติม
            </th>
            <th>
              ระบุประเด็นคงค้าง
            </th>
          </tr>
        </thead>

        <tbody>
          <tr *ngFor="let data of data.extraComment; index as number2">
            <td style="text-align: center;" [ngClass]="{
                td_single: number2 % 2 !== 0,
                td_couple: number2 % 2 === 0
              }">
              {{ data.subject }}
            </td>

            <td style="text-align: center;" [ngClass]="{
                td_single: number2 % 2 !== 0,
                td_couple: number2 % 2 === 0
              }">
              {{ data.management }}
            </td>

            <td style="width: 250px; max-width: 250px; text-align: center;" [ngClass]="{
                td_single: number2 % 2 !== 0,
                td_couple: number2 % 2 === 0
              }">
              {{ data.poCommentRemark }}
            </td>

            <td style="width: 250px; max-width: 250px; text-align: center;word-break: break-all;" [ngClass]="{
                td_single: number2 % 2 !== 0,
                td_couple: number2 % 2 === 0
              }">
              {{ data.poComment }}
            </td>

            <td style="text-align: center;" [ngClass]="{
                td_single: number2 % 2 !== 0,
                td_couple: number2 % 2 === 0
              }">
              <!-- <select class="form-control" [(ngModel)]="data.pcComment">
                <option value="ยอมรับได้">ยอมรับได้</option>
                <option value="ไม่เห็นด้วย">ไม่เห็นด้วย</option>
                <option value="null">ไม่ระบุข้อมูล</option>
              </select> -->
              {{ data.pcComment }}

            </td>

            <td style="text-align: center;word-break: break-all;max-width: 250px;" [ngClass]="{
                td_single: number2 % 2 !== 0,
                td_couple: number2 % 2 === 0
              }">
              <!-- <input
                class="form-control"
                placeholder="ระบุแนวความเห็น"
                [(ngModel)]="data.pcExtraComment"
              /> -->
              {{ data.pcExtraComment }}

            </td>

            <td style="text-align: center;" [ngClass]="{
                td_single: number2 % 2 !== 0,
                td_couple: number2 % 2 === 0
              }">
              <!-- <select
                class="form-control"
                [(ngModel)]="data.pcIssue"
                (ngModelChange)="changeSaveDraft()"
              >
                <option value="null" disabled>เลือกระบุประเด็นคงค้าง</option>
                <option value="No">No</option>
                <option value="Pending_1">Pending 1</option>
                <option value="Pending_2">Pending 2</option>
                <option value="Pending_3">Pending 3</option>
                <option value="Pending_4">Pending 4</option>
              </select> -->
              {{ data.pcIssue }}

            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <br />
    <br />
    <br />
    <br />
  </div>
</div>